/*
  MySQL SQL query script for Tournament database
  Designed for MariaDB RDBMS

  Author:
    Pekka Helenius <fincer89 [at] hotmail [dot] com>
    2019

  Delete data inserted in insert_testdata and in
  any other queries which are altered the database
  Deletion in reverse order (take constraints into
  consideration).

*/

-- -----------------------------------------------------
-- Assumes that database 'tournament_db' exists
USE tournament_db;
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Delete data for table BETTING
DELETE FROM BETTING;

-- -----------------------------------------------------
-- Delete data for table BETTOR
DELETE FROM BETTOR;

-- -----------------------------------------------------
-- Delete for table TEAM_RANK_GLOBAL
DELETE FROM TEAM_RANK_GLOBAL;

-- -----------------------------------------------------
-- Delete for table PLAYER_RANK
DELETE FROM PLAYER_RANK;

-- -----------------------------------------------------
-- Delete for table TEAM_STATUS
DELETE FROM TEAM_STATUS;

-- -----------------------------------------------------
-- Delete data for table ARRANGEMENT
DELETE FROM ARRANGEMENT;

-- -----------------------------------------------------
-- Delete data for table RESERVATION
DELETE FROM RESERVATION;

-- -----------------------------------------------------
-- Delete data for table EVENT
DELETE FROM EVENT;

-- -----------------------------------------------------
-- Delete data for table CLUBROOM
DELETE FROM CLUBROOM;

-- -----------------------------------------------------
-- Delete data for table ORGANIZER_EMPLOYEE
DELETE FROM ORGANIZER_EMPLOYEE;

-- -----------------------------------------------------
-- Delete data for table ORGANIZER_ORG
DELETE FROM ORGANIZER_ORG;

-- -----------------------------------------------------
-- Delete data for table PLAYER
DELETE FROM PLAYER;

-- -----------------------------------------------------
-- Delete data for table TEAM
DELETE FROM TEAM;

-- -----------------------------------------------------
-- Delete data for table CITY
DELETE FROM CITY;

-- -----------------------------------------------------
-- Delete data for table COUNTRY
DELETE FROM COUNTRY;
